Index: /trunk/data/class_extends/db_extends/dbfactory/SC_DB_DBFactory_PGSQL_Ex.php
===================================================================
--- /trunk/data/class_extends/db_extends/dbfactory/SC_DB_DBFactory_PGSQL_Ex.php	(revision 16741)
+++ /trunk/data/class_extends/db_extends/dbfactory/SC_DB_DBFactory_PGSQL_Ex.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class_extends/db_extends/SC_DB_MasterData_Ex.php
===================================================================
--- /trunk/data/class_extends/db_extends/SC_DB_MasterData_Ex.php	(revision 16741)
+++ /trunk/data/class_extends/db_extends/SC_DB_MasterData_Ex.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class_extends/db_extends/SC_DB_DBFactory_Ex.php
===================================================================
--- /trunk/data/class_extends/db_extends/SC_DB_DBFactory_Ex.php	(revision 17374)
+++ /trunk/data/class_extends/db_extends/SC_DB_DBFactory_Ex.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class_extends/SC_Initial_Ex.php
===================================================================
--- /trunk/data/class_extends/SC_Initial_Ex.php	(revision 16582)
+++ /trunk/data/class_extends/SC_Initial_Ex.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class_extends/SC_SendMail_Ex.php
===================================================================
--- /trunk/data/class_extends/SC_SendMail_Ex.php	(revision 16741)
+++ /trunk/data/class_extends/SC_SendMail_Ex.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/helper/SC_Helper_Mobile.php
===================================================================
--- /trunk/data/class/helper/SC_Helper_Mobile.php	(revision 18562)
+++ /trunk/data/class/helper/SC_Helper_Mobile.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -390,5 +390,5 @@
         $objQuery = new SC_Query;
 
-        $arrRow = $objQuery->getrow('dtb_mobile_kara_mail', 'session_id, next_url, email',
+        $arrRow = $objQuery->getRow('dtb_mobile_kara_mail', 'session_id, next_url, email',
                                     'token = ? AND email IS NOT NULL AND receive_date >= ?',
                                     array($token, date('Y-m-d H:i:s', time() - MOBILE_SESSION_LIFETIME)));
Index: /trunk/data/class/helper/SC_Helper_FileManager.php
===================================================================
--- /trunk/data/class/helper/SC_Helper_FileManager.php	(revision 16701)
+++ /trunk/data/class/helper/SC_Helper_FileManager.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/helper/SC_Helper_PageLayout.php
===================================================================
--- /trunk/data/class/helper/SC_Helper_PageLayout.php	(revision 18562)
+++ /trunk/data/class/helper/SC_Helper_PageLayout.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -46,15 +46,18 @@
     function sfGetPageLayout(&$objPage, $preview = false, $url = ""){
         $debug_message = "";
-    	$arrPageLayout = array();
+        $arrPageLayout = array();
 
         // 現在のURLの取得
         if ($preview === false) {
             if ($url == "") {
-                $url = "http://" . $_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF'];
+                // 従来互換(dtb_pagelayoutのurlが絶対URLだった時)
+                $url = SITE_URL . preg_replace('|^' . preg_quote(URL_DIR) . '|', '' , $_SERVER['PHP_SELF']);
             }
+
+            $url2 = preg_replace('|^http://[^/]+' . preg_quote(URL_DIR) . '|', '', $url);
             // URLを元にページデザインを取得
-            $arrPageData = $this->lfgetPageData(" url = ? " , array($url));
-        }else{
-            $arrPageData = $this->lfgetPageData(" page_id = ? " , array("0"));
+            $arrPageData = $this->lfgetPageData("url IN (?, ?) AND page_id <> 0" , array($url2, $url)); // $url は従来互換
+        } else {
+            $arrPageData = $this->lfgetPageData("page_id = 0");
             $objPage->tpl_mainpage = USER_PATH . "templates/preview/"
                 . TEMPLATE_NAME . "/" . $arrPageData[0]['filename'] . ".tpl";
@@ -62,6 +65,6 @@
         
         reset($arrPageData[0]);
-		while( list($key,$val) = each($arrPageData[0]) ){
-        	 $debug_message.= "arrPageData[$key]：" . $val . "\n";
+        while( list($key,$val) = each($arrPageData[0]) ){
+            $debug_message.= "arrPageData[$key]：" . $val . "\n";
         }
         
@@ -97,10 +100,10 @@
 
         // 全ナビデータを取得する
-        $arrNavi = $this->lfGetNaviData($url, $preview);
-
-        $arrPageLayout['LeftNavi']  = $this->lfGetNavi($arrNavi,1);	// LEFT NAVI
-        $arrPageLayout['MainHead']  = $this->lfGetNavi($arrNavi,2);	// メイン上部
-        $arrPageLayout['RightNavi'] = $this->lfGetNavi($arrNavi,3);	// RIGHT NAVI
-        $arrPageLayout['MainFoot']  = $this->lfGetNavi($arrNavi,4);	// メイン下部
+        $arrNavi = $this->lfGetNaviData($arrPageLayout['page_id']);
+
+        $arrPageLayout['LeftNavi']  = $this->lfGetNavi($arrNavi,1);    // LEFT NAVI
+        $arrPageLayout['MainHead']  = $this->lfGetNavi($arrNavi,2);    // メイン上部
+        $arrPageLayout['RightNavi'] = $this->lfGetNavi($arrNavi,3);    // RIGHT NAVI
+        $arrPageLayout['MainFoot']  = $this->lfGetNavi($arrNavi,4);    // メイン下部
 
         GC_Utils::gfDebugLog($arrPageLayout);
@@ -121,37 +124,33 @@
      * @return array ページ情報を格納した配列
      */
-    function lfgetPageData($addwhere = '', $sqlval = ''){
-        $objQuery = new SC_Query;		// DB操作オブジェクト
-        $arrRet = array();				// データ取得用
-
-        // SQL文生成
+    function lfgetPageData($where = 'page_id <> 0', $where_vals = array()) {
+        $objQuery = new SC_Query;       // DB操作オブジェクト
+        $arrRet = array();              // データ取得用
+
         // 取得するカラム
-        $col  = " page_id";				// ページID
-        $col .= " ,page_name";			// 名称
-        $col .= " ,url";				// URL
-        $col .= " ,php_dir";			// php保存先ディレクトリ
-        $col .= " ,tpl_dir";			// tpl保存先ディレクトリ
-        $col .= " ,filename";			// ファイル名称
-        $col .= " ,header_chk ";		// ヘッダー使用FLG
-        $col .= " ,footer_chk ";		// フッター使用FLG
-        $col .= " ,edit_flg ";			// 編集可能FLG
-        $col .= " ,author";				// authorタグ
-        $col .= " ,description";		// descriptionタグ
-        $col .= " ,keyword";			// keywordタグ
-        $col .= " ,update_url";			// 更新URL
-        $col .= " ,create_date";		// データ作成日
-        $col .= " ,update_date";		// データ更新日
+        $col  = " page_id";             // ページID
+        $col .= " ,page_name";          // 名称
+        $col .= " ,url";                // URL
+        $col .= " ,php_dir";            // php保存先ディレクトリ
+        $col .= " ,tpl_dir";            // tpl保存先ディレクトリ
+        $col .= " ,filename";           // ファイル名称
+        $col .= " ,header_chk ";        // ヘッダー使用FLG
+        $col .= " ,footer_chk ";        // フッター使用FLG
+        $col .= " ,edit_flg ";          // 編集可能FLG
+        $col .= " ,author";             // authorタグ
+        $col .= " ,description";        // descriptionタグ
+        $col .= " ,keyword";            // keywordタグ
+        $col .= " ,update_url";         // 更新URL
+        $col .= " ,create_date";        // データ作成日
+        $col .= " ,update_date";        // データ更新日
         
         // 取得するテーブル
         $table = "dtb_pagelayout";
         
-        // where句の指定があれば追加
-        $where = ($addwhere != '') ? $addwhere : "page_id <> 0";
-        
         // 並び変え
         $objQuery->setOrder('page_id');
         
         // SQL実行
-        $arrRet = $objQuery->select($col, $table, $where, $sqlval);
+        $arrRet = $objQuery->select($col, $table, $where, $where_vals);
         
         // 結果を返す
@@ -163,34 +162,25 @@
      *
      * @param string $url ページのURL
-     * @param boolean $preview プレビュー表示の場合 true
      * @return array ナビ情報の配列
      */
-    function lfGetNaviData($url, $preview=false){
-        $objQuery = new SC_Query;		// DB操作オブジェクト
-        $sql = "";						// データ取得SQL生成用
-        $arrRet = array();				// データ取得用
-        $arrData = array();
-
-        // SQL文生成
+    function lfGetNaviData($page_id){
+        $objQuery = new SC_Query;   // DB操作オブジェクト
+
         // 取得するカラム
         $col = "target_id, bloc_name, tpl_path, php_path";
         
         // 取得するテーブル
-        $table = "dtb_blocposition AS pos, dtb_bloc AS bloc";
+        $table = "dtb_blocposition AS pos INNER JOIN dtb_bloc AS bloc ON bloc.bloc_id = pos.bloc_id";
         
         // where文生成
-        $where = "bloc.bloc_id = pos.bloc_id";
-        if ($preview == true) {
-            $where .= " AND EXISTS (SELECT page_id FROM dtb_pagelayout AS lay WHERE page_id = '0' AND pos.page_id = lay.page_id)";
-        }else{
-            $where .= " AND EXISTS (SELECT page_id FROM dtb_pagelayout AS lay WHERE url = ? AND page_id <> '0' AND pos.page_id = lay.page_id)";
-            $sqlval = array($url);
-        }
+        $where = "page_id = ?";
+        $where_vals[] = $page_id;
+
         // 並び変え
         $objQuery->setOrder('target_id, bloc_row');
         
         // SQL実行
-        $arrRet = $objQuery->select($col, $table, $where, $sqlval);
-                                            
+        $arrRet = $objQuery->select($col, $table, $where, $where_vals);
+        
         // 結果を返す
         return $arrRet;
@@ -207,17 +197,17 @@
         $arrRet = array();
         if(is_array($arrNavi) === true) {
-        	reset($arrNavi);
+            reset($arrNavi);
             while( list($key,$val)= each($arrNavi) ){
-            	// 指定された箇所と同じデータだけを取得する
+                // 指定された箇所と同じデータだけを取得する
                 if ($target_id == $val['target_id']){
                     if ($val['php_path'] != '') {
                         $arrNavi[$key]['php_path'] = HTML_PATH . $val['php_path'];
-                    }else{
-                    	$user_block_path = USER_TEMPLATE_PATH . TEMPLATE_NAME . "/" . $val['tpl_path'];
-                    	if(is_file($user_block_path)) {
-                    	   $arrNavi[$key]['tpl_path'] = $user_block_path;
-                    	} else {
-                           $arrNavi[$key]['tpl_path'] = TEMPLATE_DIR . $val['tpl_path'];
-                    	}
+                    } else {
+                        $user_block_path = USER_TEMPLATE_PATH . TEMPLATE_NAME . "/" . $val['tpl_path'];
+                        if(is_file($user_block_path)) {
+                            $arrNavi[$key]['tpl_path'] = $user_block_path;
+                        } else {
+                            $arrNavi[$key]['tpl_path'] = TEMPLATE_DIR . $val['tpl_path'];
+                        }
                     }
                     
@@ -258,9 +248,8 @@
      */
     function lfDelPageData($page_id){
-    	// DBへデータを更新する
-        $objQuery = new SC_Query;		// DB操作オブジェクト
-        $sql = "";						// データ更新SQL生成用
-        $ret = ""; 						// データ更新結果格納用
-        $arrDelData = array();			// 更新データ生成用
+        // DBへデータを更新する
+        $objQuery = new SC_Query;   // DB操作オブジェクト
+        $ret = "";                  // 結果格納用
+        $arrDelData = array();      // 抽出データ用
 
         // page_id が空でない場合にはdeleteを実行
Index: /trunk/data/class/helper/SC_Helper_CSV.php
===================================================================
--- /trunk/data/class/helper/SC_Helper_CSV.php	(revision 18562)
+++ /trunk/data/class/helper/SC_Helper_CSV.php	(revision 18758)
@@ -1,5 +1,5 @@
 <?php
   /*
-   * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+   * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
    *
    * http://www.lockon.co.jp/
@@ -94,5 +94,5 @@
         $sql .= " ";
 
-        $ret = $objQuery->getall($sql, $arrData);
+        $ret = $objQuery->getAll($sql, $arrData);
 
         return $ret;
@@ -108,8 +108,8 @@
 
         $objQuery = new SC_Query();
-        $objQuery->setorder($order);
+        $objQuery->setOrder($order);
 
         $dataRows = $objQuery->select(
-             SC_Utils_Ex::sfGetCommaList($arrOutputCols, true, array('category_id'))
+             SC_Utils_Ex::sfGetCommaList($arrOutputCols)
             ,'vw_product_class AS prdcls'
             ,$where
@@ -165,5 +165,5 @@
 
         $objQuery = new SC_Query();
-        $objQuery->setoption($option);
+        $objQuery->setOption($option);
 
         $list_data = $objQuery->select($cols, $from, $where, $arrval);
@@ -184,5 +184,5 @@
 
         $objQuery = new SC_Query();
-        $objQuery->setoption($option);
+        $objQuery->setOption($option);
 
         $list_data = $objQuery->select($cols, $from, $where, $arrval);
@@ -206,5 +206,5 @@
 
         $objQuery = new SC_Query();
-        $objQuery->setorder('rank DESC');
+        $objQuery->setOrder('rank DESC');
 
         $dataRows = $objQuery->select(
@@ -237,5 +237,5 @@
 
         $objQuery = new SC_Query();
-        $objQuery->setoption($option);
+        $objQuery->setOption($option);
 
         $list_data = $objQuery->select($cols, $from, $where, $arrval);
@@ -266,6 +266,5 @@
                 break;
             }
-
-            $tmp = ereg_replace("[\",]", " ", $tmp);
+            $tmp = ereg_replace("\"", "\"\"", $tmp);
             $line .= "\"".$tmp."\",";
         }
@@ -297,5 +296,5 @@
             }
 
-            $tmp = ereg_replace("[\",]", " ", $tmp);
+            $tmp = ereg_replace("\"", "\"\"", $tmp);
             $line .= "\"".$tmp."\",";
         }
@@ -320,5 +319,5 @@
             }
 
-            $tmp = ereg_replace("[\",]", " ", $tmp);
+            $tmp = ereg_replace("\"", "\"\"", $tmp);
             $line .= "\"".$tmp."\",";
         }
Index: /trunk/data/class/helper/SC_Helper_Mail.php
===================================================================
--- /trunk/data/class/helper/SC_Helper_Mail.php	(revision 18177)
+++ /trunk/data/class/helper/SC_Helper_Mail.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -45,5 +45,5 @@
 
     /* DBに登録されたテンプレートメールの送信 */
-    function sfSendTemplateMail($to, $to_name, $template_id, &$objPage) {
+    function sfSendTemplateMail($to, $to_name, $template_id, &$objPage, $from_address = "", $from_name = "", $reply_to = "") {
 
         $objQuery = new SC_Query();
@@ -66,7 +66,10 @@
         $objSendMail = new SC_SendMail_Ex();
         $from = $arrInfo['email03'];
+        if ($from_address == "") $from_address = $arrInfo['email03'];
+        if ($from_name == "") $from_name = $arrInfo['shop_name'];
+        if ($reply_to == "") $reply_to = $arrInfo['email03'];
         $error = $arrInfo['email04'];
         $tosubject = $tmp_subject;
-        $objSendMail->setItem('', $tosubject, $body, $from, $arrInfo['shop_name'], $from, $error, $error);
+        $objSendMail->setItem('', $tosubject, $body, $from_address, $from_name, $reply_to, $error, $error);
         $objSendMail->setTo($to, $to_name);
         $objSendMail->sendMail();    // メール送信
@@ -173,5 +176,4 @@
         // メール送信処理
         $objSendMail = new SC_SendMail_Ex();
-        $to = mb_encode_mimeheader($to);
         $bcc = $arrInfo['email01'];
         $from = $arrInfo['email03'];
Index: /trunk/data/class/helper/SC_Helper_Session.php
===================================================================
--- /trunk/data/class/helper/SC_Helper_Session.php	(revision 17529)
+++ /trunk/data/class/helper/SC_Helper_Session.php	(revision 18758)
@@ -1,5 +1,5 @@
 <?php
  /*
-  * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+  * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
   *
   * http://www.lockon.co.jp/
Index: /trunk/data/class/helper/SC_Helper_DB.php
===================================================================
--- /trunk/data/class/helper/SC_Helper_DB.php	(revision 18562)
+++ /trunk/data/class/helper/SC_Helper_DB.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -258,5 +258,5 @@
         $table = "vw_product_class AS prdcls";
         $where = "product_id = ? AND classcategory_id1 = ? AND classcategory_id2 = ? AND status = 1";
-        $objQuery->setorder("rank1 DESC, rank2 DESC");
+        $objQuery->setOrder("rank1 DESC, rank2 DESC");
         $arrRet = $objQuery->select($col, $table, $where, array($product_id, $classcategory_id1, $classcategory_id2));
         return $arrRet[0];
@@ -272,5 +272,5 @@
         // 購入金額が条件額以下の項目を取得
         $where = "del_flg = 0";
-        $objQuery->setorder("fix, rank DESC");
+        $objQuery->setOrder("fix, rank DESC");
         $arrRet = $objQuery->select("payment_id, payment_method, rule", "dtb_payment", $where);
         return $arrRet;
@@ -312,21 +312,22 @@
                 // 購入制限数を求める。
                 if ($arrData['stock_unlimited'] != '1' && $arrData['sale_unlimited'] != '1') {
-                    if($arrData['sale_limit'] < $arrData['stock']) {
-                        $limit = $arrData['sale_limit'];
+                    $limit = min($arrData['sale_limit'], $arrData['stock']);
+                } elseif ($arrData['sale_unlimited'] != '1') {
+                    $limit = $arrData['sale_limit'];
+                } else {
+                    // 購入制限なしの場合は、SALE_LIMIT_MAXが最大購入個数
+                    // 但し、SALE_LIMIT_MAXは、有効な整数値でないと機能しない
+
+                    if ($arrData['stock_unlimited'] != '1') {
+                        // 在庫制限がある場合は、SALE_LIMIT_MAXと在庫数の小さい方が購入可能最大数
+                        if (SALE_LIMIT_MAX > 0) {
+                        	$limit = min(SALE_LIMIT_MAX, $arrData['stock']);
+                        } else {
+                        	$limit = $arrData['stock'];
+                        }
                     } else {
-                        // 購入制限数を在庫数に
-                        #$limit = $arrData['stock'];
-                        // 購入制限数をSALE_LIMIT_MAXに
-                        $limit = SALE_LIMIT_MAX;
-                    }
-                } else {
-                    if ($arrData['sale_unlimited'] != '1') {
-                        $limit = $arrData['sale_limit'];
-                    }
-                    if ($arrData['stock_unlimited'] != '1') {
-                        // 購入制限数を在庫数に
-                        #$limit = $arrData['stock'];
-                        // 購入制限数をSALE_LIMIT_MAXに
-                        $limit = SALE_LIMIT_MAX;
+                        if (SALE_LIMIT_MAX > 0) {
+                            $limit = SALE_LIMIT_MAX;
+                        }
                     }
                 }
@@ -584,5 +585,5 @@
             $where = "del_flg = 0";
         }
-        $objQuery->setoption("ORDER BY rank DESC");
+        $objQuery->setOption("ORDER BY rank DESC");
         $arrRet = $objQuery->select($col, $from, $where);
 
@@ -628,5 +629,5 @@
             $where = "del_flg = 0";
         }
-        $objQuery->setoption("ORDER BY rank DESC");
+        $objQuery->setOption("ORDER BY rank DESC");
         $arrRet = $objQuery->select($col, $from, $where);
 
@@ -714,5 +715,5 @@
         }
 
-        $objQuery->setoption("ORDER BY rank DESC");
+        $objQuery->setOption("ORDER BY rank DESC");
 
         if($products_check) {
@@ -748,5 +749,5 @@
         $col = "category_id, parent_category_id, category_name, level";
         $where = "del_flg = 0";
-        $objQuery->setoption("ORDER BY rank DESC");
+        $objQuery->setOption("ORDER BY rank DESC");
         $arrRet = $objQuery->select($col, "dtb_category", $where);
         $max = count($arrRet);
@@ -1131,6 +1132,6 @@
         $objQuery = new SC_Query();
         $col = "$keyname, $valname";
-        $objQuery->setwhere("del_flg = 0");
-        $objQuery->setorder("rank DESC");
+        $objQuery->setWhere("del_flg = 0");
+        $objQuery->setOrder("rank DESC");
         $arrList = $objQuery->select($col, $table);
         $count = count($arrList);
@@ -1346,5 +1347,5 @@
         }
 
-        $objQuery->setorder("level");
+        $objQuery->setOrder("level");
         $arrRet = $objQuery->select($col, $table, $where, $arrId);
         return $arrRet;
@@ -1402,5 +1403,5 @@
 
         if($deliv_id != "") {
-            $objQuery->setorder("time_id");
+            $objQuery->setOrder("time_id");
             $where = "deliv_id = ?";
             $arrRet= $objQuery->select("time_id, deliv_time", "dtb_delivtime", $where, array($deliv_id));
Index: /trunk/data/class/SC_Query.php
===================================================================
--- /trunk/data/class/SC_Query.php	(revision 18562)
+++ /trunk/data/class/SC_Query.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -89,5 +89,5 @@
      */
     function select($col, $table, $where = "", $arrval = array()){
-        $sqlse = $this->getsql($col, $table, $where);
+        $sqlse = $this->getSql($col, $table, $where);
         // DBに依存した SQL へ変換
         $dbFactory = SC_DB_DBFactory_Ex::getInstance();
@@ -153,10 +153,10 @@
     }
 
-    function getall($sql, $arrval = array()) {
+    function getAll($sql, $arrval = array()) {
         $ret = $this->conn->getAll($sql, $arrval);
         return $ret;
     }
 
-    function getsql($col, $table, $where) {
+    function getSql($col, $table, $where) {
         if($where != "") {
             // 引数の$whereを優先して実行する。
@@ -172,9 +172,9 @@
     }
 
-    function setoption($str) {
+    function setOption($str) {
         $this->option = $str;
     }
 
-    function setlimitoffset($limit, $offset = 0, $return = false) {
+    function setLimitOffset($limit, $offset = 0, $return = false) {
         if (is_numeric($limit) && is_numeric($offset)){
 
@@ -190,5 +190,5 @@
     }
 
-    function setgroupby($str) {
+    function setGroupBy($str) {
         $this->groupby = "GROUP BY " . $str;
     }
@@ -202,5 +202,5 @@
     }
 
-    function orwhere($str) {
+    function orWhere($str) {
         if($this->where != "") {
             $this->where .= " OR " . $str;
@@ -210,14 +210,14 @@
     }
 
-    function setwhere($str) {
+    function setWhere($str) {
         $this->where = $str;
     }
 
-    function setorder($str) {
+    function setOrder($str) {
         $this->order = "ORDER BY " . $str;
     }
 
 
-    function setlimit($limit){
+    function setLimit($limit){
         if ( is_numeric($limit)){
             $this->option = " LIMIT " .$limit;
@@ -225,5 +225,5 @@
     }
 
-    function setoffset($offset) {
+    function setOffset($offset) {
         if ( is_numeric($offset)){
             $this->offset = " OFFSET " .$offset;
@@ -404,5 +404,5 @@
     }
 
-    function getone($sql, $arrval = array()) {
+    function getOne($sql, $arrval = array()) {
         // SQL文の実行
         $ret = $this->conn->getOne($sql, $arrval);
@@ -412,5 +412,5 @@
 
     // 一行を取得
-    function getrow($table, $col, $where = "", $arrval = array()) {
+    function getRow($table, $col, $where = "", $arrval = array()) {
         if(strlen($where) <= 0) {
             $sqlse = "SELECT $col FROM $table";
Index: /trunk/data/class/batch/SC_Batch.php
===================================================================
--- /trunk/data/class/batch/SC_Batch.php	(revision 16741)
+++ /trunk/data/class/batch/SC_Batch.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/batch/SC_Batch_Daily.php
===================================================================
--- /trunk/data/class/batch/SC_Batch_Daily.php	(revision 17318)
+++ /trunk/data/class/batch/SC_Batch_Daily.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -207,5 +207,5 @@
 
         $objQuery = new SC_Query();
-        $arrRet = $objQuery->getall($sql);
+        $arrRet = $objQuery->getAll($sql);
 
         $sqlval = $arrRet[0];
@@ -248,5 +248,5 @@
             $edate = sprintf("%s %02d:59:59", $date, $i);
             $sql = $this->lfGetOrderDailySQL($sdate, $edate);
-            $arrRet = $objQuery->getall($sql);
+            $arrRet = $objQuery->getAll($sql);
             $sqlval = $arrRet[0];
             // 空文字を"0"に変換
@@ -341,5 +341,5 @@
         $objQuery = new SC_Query();
 
-        $arrRet = $objQuery->getall($sql, array($start, $end));
+        $arrRet = $objQuery->getAll($sql, array($start, $end));
         $sqlval = $arrRet[0];
 
Index: /trunk/data/class/batch/SC_Batch_Update.php
===================================================================
--- /trunk/data/class/batch/SC_Batch_Update.php	(revision 17197)
+++ /trunk/data/class/batch/SC_Batch_Update.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/SC_Cookie.php
===================================================================
--- /trunk/data/class/SC_Cookie.php	(revision 16741)
+++ /trunk/data/class/SC_Cookie.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/SC_View.php
===================================================================
--- /trunk/data/class/SC_View.php	(revision 16741)
+++ /trunk/data/class/SC_View.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -221,6 +221,6 @@
 
 class SC_MobileView extends SC_SiteView {
-    function SC_MobileView() {
-        parent::SC_SiteView();
+    function SC_MobileView($cart = true) {
+        parent::SC_SiteView($cart);
         $this->_smarty->template_dir = MOBILE_TEMPLATE_DIR;
         $this->_smarty->compile_dir = MOBILE_COMPILE_DIR;
Index: /trunk/data/class/module/SC_Module_Payment.php
===================================================================
--- /trunk/data/class/module/SC_Module_Payment.php	(revision 17181)
+++ /trunk/data/class/module/SC_Module_Payment.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2008 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/module/SC_Module.php
===================================================================
--- /trunk/data/class/module/SC_Module.php	(revision 17181)
+++ /trunk/data/class/module/SC_Module.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2008 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
